> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Static Components



## OpenAPI

````yaml GET /api/v1/status-pages/{statusPageId}/static-components
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/static-components:
    get:
      tags:
        - status-pages
      summary: List static components for a status page
      operationId: ManagementStaticComponentController_list_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````